explain_lchownat_or_die(3)

NAME
explain_lchownat_or_die - Execute lchownat(2) and report errors

SYNOPSIS
#include <libexplain/lchownat.h>

void explain_lchownat_or_die(int fildes, const char *pathname, int uid, int gid);
int explain_lchownat_on_error(int fildes, const char *pathname, int uid, int gid);

DESCRIPTION
The explain_lchownat_or_die function is used to call the lchownat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_lchownat(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_lchownat_on_error function is used to call the lchownat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_lchownat(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the lchownat(2) system call.

pathname
    The pathname, exactly as to be passed to the lchownat(2) system call.

uid The uid, exactly as to be passed to the lchownat(2) system call.

gid The gid, exactly as to be passed to the lchownat(2) system call.

RETURN VALUE
The explain_lchownat_or_die function only returns on success, see lchownat(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_lchownat_on_error function always returns the value return by the wrapped lchownat(2) system call.

EXAMPLE
The explain_lchownat_or_die function is intended to be used in a fashion similar to the following example:
    explain_lchownat_or_die(fildes, pathname, uid, gid);

SEE ALSO

lchownat(2)
    Execute lchownat(2)

explain_lchownat(3)
    explain lchownat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller